package top.xinsin.pojo;

    import com.baomidou.mybatisplus.annotation.IdType;
    import com.baomidou.mybatisplus.annotation.TableField;
    import com.baomidou.mybatisplus.annotation.TableId;
    import com.baomidou.mybatisplus.annotation.TableName;
    import java.io.Serializable;
    import java.time.LocalDateTime;
    import lombok.Data;

/**
* <p>
    * 
    * </p>
*
* @author xinsin
* @since 2023-04-21
*/
@Data
@TableName("order")
public class Order implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @TableField("order_no")
    private String orderNo;
    @TableField("order_time")
    private LocalDateTime orderTime;
    @TableField("order_status")
    private String orderStatus;
    @TableField("wang_no")
    private String wangNo;
    @TableField("wechat_no")
    private String wechatNo;
    @TableField("alipay_no")
    private String alipayNo;
    @TableField("pay_amt")
    private Double payAmt;
    @TableField("shop_town_name")
    private String shopTownName;
    @TableField("commission")
    private Double commission;
    @TableField("alipay_name")
    private String alipayName;
    @TableField("rp_name")
    private String rpName;
    @TableField("rp_wechat_name")
    private String rpWechatName;
    @TableField("remark")
    private String remark;
    @TableField("phone_number")
    private String phoneNumber;
    @TableField("card_no")
    private String cardNo;
    @TableField("flag")
    private Integer flag;
    @TableField("flag_remark")
    private String flagRemark;
    @TableField("pay_time")
    private LocalDateTime payTime;
    @TableField("address")
    private String address;
    @TableField("shop_id")
    private Integer shopId;
    @TableField("sku")
    private String sku;
}